Track = {
	x = 0; y = 0;
	width = 16;
	height = 16;
}

function Track:init(x, y)
	self.x, self.y = x, y
	self.width = 16 * math.random(5, 20)

	self.canvas = po2Canvas(self.width, Window.height)
	self.canvas:renderTo(function()
		for x=0, self.width - 1, Images.beam:getWidth() do
			for y=0, Window.height - self.y - 1, Images.beam:getHeight() do
				love.graphics.draw(Images.beam, x, y + 3)
			end
		end
		for x=0, self.width - 1, 16 do
			love.graphics.draw(Images.track, x, 0)
			love.graphics.draw(Images.platform, x, 4)
		end
	end)
end

function Track:update(dt)
	self.x = self.x - TRACK_SPEED * dt
end

function Track:draw()
	love.graphics.draw(self.canvas, self.x, self.y - 2)
end
